<?php
/*
Plugin Name: Media Feed
Plugin URI: https://wordpress.org/plugins/media-feed/
Version: 1.05
Description: Creates media feeds.
Author: Katsushi Kawamori
Author URI: https://riverforest-wp.info/
Text Domain: media-feed
Domain Path: /languages
*/

/*  Copyright (c) 2017- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	define("MEDIAFEED_PLUGIN_BASE_FILE", plugin_basename(__FILE__));
	define("MEDIAFEED_PLUGIN_BASE_DIR", dirname(__FILE__));
	define("MEDIAFEED_PLUGIN_URL", plugins_url($path='media-feed',$scheme=null));

	load_plugin_textdomain('media-feed');
//	load_plugin_textdomain('media-feed', false, basename( MEDIAFEED_PLUGIN_BASE_DIR ) . '/languages' );

	require_once( MEDIAFEED_PLUGIN_BASE_DIR.'/req/MediaFeedRegist.php' );
	$mediafeedregist = new MediaFeedRegist();
	add_action( 'admin_init', array($mediafeedregist, 'register_settings') );
	unset($mediafeedregist);

	require_once( MEDIAFEED_PLUGIN_BASE_DIR . '/req/MediaFeedAdmin.php' );
	$mediafeedadmin = new MediaFeedAdmin();
	add_action( 'admin_menu', array($mediafeedadmin, 'plugin_menu'));
	add_filter( 'plugin_action_links', array($mediafeedadmin, 'settings_link'), 10, 2 );
	add_action( 'admin_enqueue_scripts', array($mediafeedadmin, 'load_custom_wp_admin_style') );
	add_filter( 'manage_media_columns', array($mediafeedadmin, 'posts_columns_attachment_id'), 1);
	add_action( 'manage_media_custom_column', array($mediafeedadmin, 'posts_custom_columns_attachment_id'), 1, 2);
	unset($mediafeedadmin);

	include_once MEDIAFEED_PLUGIN_BASE_DIR.'/inc/MediaFeed.php';
	$mediafeed = new MediaFeed();
	add_action( 'init', array($mediafeed, 'add_custom_feed') );
	add_action( 'wp_head', array($mediafeed, 'mediafeed_alternate') );
	add_shortcode( 'mediafeedlist', array($mediafeed, 'mediafeedlist_func'));
	unset($mediafeed);

	require_once( MEDIAFEED_PLUGIN_BASE_DIR.'/req/MediaFeedWidgetItem.php' );
	add_action('widgets_init', create_function('', 'return register_widget("MediaFeedWidgetItem");'));

?>